QGIS Application - Bug report #20183
QGIS Backwards Incompatible Changes names incorrect
2018-10-22 05:01 PM - Richard Boon

Status: Closed

Priority: Low

Assignee: Yves Jacolin

Category: Documentation and Help

Affected QGIS version:3.2.3 Regression?: No

Operating System: Easy fix?: Yes

Pull Request or Patch supplied: Resolution: no timely feedback
Crashes QGIS or corrupls data: Copied to github as #: 28004
Description

Hi,

When porting a Qgis plugin from qgis2 to 3 using https://qgis.org/api/api_break.html | found some errors in the renamed v3 classnames,

namely:

- ‘QgsStrategy’ >—QgsNetworkStrategy
‘QgsDistanceStrategy” -> ‘QgsNetworkDistanceStrategy”

History

#1 - 2018-10-28 09:36 AM - Harrissou Santanna
- Status changed from Open to Feedback

- ‘QgsStrategy” >—QgsNetworkStrategy-

Can you be more specific on what should be the changes, please? Or if you can provide the changes, source is at
https://github.com/qgis/QGIS/blob/master/doc/api_break.dox
Thanks

#2 - 2019-02-23 08:37 PM - Jiirgen Fischer
- Resolution set to no timely feedback
- Status changed from Feedback to Closed

Bulk closing 82 tickets in feedback state for more than 90 days affecting an old version. Feel free to reopen if it still applies to a current version and you
have more information that clarify the issue.
